# Deprecated API

## Contents

- Terminally Deprecated
- Methods

Terminally Deprecated Elements
Element
Description
net.shibboleth.profile.relyingparty.BasicRelyingPartyConfiguration.setResponderId(String)
net.shibboleth.profile.relyingparty.BasicRelyingPartyConfiguration.setResponderIdLookupStrategy(Function<ProfileRequestContext, String>)
net.shibboleth.profile.relyingparty.RelyingPartyConfiguration.setResponderId(String)

Deprecated Methods
Method
Description
net.shibboleth.profile.relyingparty.BasicRelyingPartyConfiguration.setResponderId(String)
net.shibboleth.profile.relyingparty.BasicRelyingPartyConfiguration.setResponderIdLookupStrategy(Function<ProfileRequestContext, String>)
net.shibboleth.profile.relyingparty.RelyingPartyConfiguration.setResponderId(String)